#
# spec file for package python3-qt4
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define rversion %{version}
Name:           python3-qt4
Version:        4.11.4
Release:        5.24
Summary:        PyQt - python bindings for Qt 4
License:        SUSE-GPL-2.0-with-FLOSS-exception or GPL-3.0 or SUSE-NonFree
Group:          Development/Libraries/Python
Url:            http://www.riverbankcomputing.com/software/pyqt/intro
Source0:        http://sourceforge.net/projects/pyqt/files/PyQt4/PyQt-%{rversion}/PyQt-x11-gpl-%{rversion}.tar.gz
Patch0:         link-python3.diff
# PATCH-FIX-UPSTREAM: Fix .pro files not being generated by configure.py
Patch3:         pyqt4_add_pro_files.diff
BuildRequires:  dbus-1-python-devel
BuildRequires:  dbus-1-python3-devel
BuildRequires:  fdupes
BuildRequires:  libQtWebKit-devel
BuildRequires:  libqt4-devel
BuildRequires:  phonon-devel
BuildRequires:  python3-sip-devel >= 4.16.9
Requires:       python(abi) = %{py3_ver}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%requires_ge    dbus-1-python
%requires_ge    dbus-1-python3
%requires_ge    libqt4-x11
%{requires_python3_sip_api}

%description
PyQt is a set of Python bindings for Trolltech's Qt application
framework and runs on all platforms supported by Qt including Windows,
MacOS/X and Linux. There are two sets of bindings: PyQt v4 supports Qt
v4; and the older PyQt v3 supports Qt v3 and earlier. The bindings are
implemented as a set of Python modules and contain over 300 classes and
nearly 6,000 functions and methods.

%package devel
Summary:        PyQt - devel part of python bindings for Qt 4
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       libqt4-devel
Requires:       python-qt4-utils
Requires:       python3-sip-devel

%description devel
PyQt is a set of Python bindings for Trolltech's Qt application
framework and runs on all platforms supported by Qt including Windows,
MacOS/X and Linux. There are two sets of bindings: PyQt v4 supports Qt
v4; and the older PyQt v3 supports Qt v3 and earlier. The bindings are
implemented as a set of Python modules and contain over 300 classes and
nearly 6,000 functions and methods.

This package contains all the developer tools you need to create your
own PyQt applications.

%prep
%setup -q -n PyQt-x11-gpl-%{rversion}
%patch0 -p1
%patch3 -p1

%build
export CXXFLAGS="%{optflags}"
export CFLAGS="%{optflags}"
python3 configure-ng.py --confirm-license --qsci-api -u -s %{_includedir}/dbus-1.0

make %{?_smp_mflags}

%install
%make_install INSTALL_ROOT=%{buildroot}
# pylupdate4 and pyrcc4 are in python-qt4-utils
rm %{buildroot}%{_bindir}/pylupdate4 %{buildroot}%{_bindir}/pyrcc4
rm -rf %{buildroot}%{_datadir}/sip/PyQt4
mv %{buildroot}%{_bindir}/pyuic4 %{buildroot}%{_bindir}/py3uic4
mv %{buildroot}%{_datadir}/qt4/qsci/api/python %{buildroot}%{_datadir}/qt4/qsci/api/python3
mv %{buildroot}%{_libdir}/qt4/plugins/designer/libpyqt4.so %{buildroot}%{_libdir}/qt4/plugins/designer/libpy3qt4.so
sed -i 's/The "doc" directory/The "doc" directory of package %{name}-devel/' README
DOCDIR=%{buildroot}%{_docdir}/%{name}-devel
mkdir -p $DOCDIR
cp -pr NEWS THANKS contrib doc examples $DOCDIR
 # create hardlinks for duplicate files
%fdupes -s $DOCDIR

%files
%defattr(-,root,root)
%doc README
%{python3_sitearch}/PyQt4/
%{python3_sitelib}/dbus/mainloop/qt.so

%files devel
%defattr(-,root,root)
%{_bindir}/py3uic4
%{_datadir}/qt4/qsci/
%{_docdir}/python3-qt4-devel
%{_libdir}/qt4/plugins/designer/libpy3qt4.so

%changelog
* Fri Aug 14 2015 termim@gmail.com
- change required sip version to 4.16.9
* Sun Jun 14 2015 termim@gmail.com
- Remove build-compare.diff as already in upstream
* Sat Jun 13 2015 termim@gmail.com
- Update to 4.11.4
  - This is a minor functional and bug-fix release including support for Qt
  - v4.8.7.
* Tue Jan 27 2015 termim@gmail.com
- Update to 4.11.3
  - This is a bug-fix release.
* Sat Oct 11 2014 termim@gmail.com
- Update to 4.11.2  - This is a bug-fix only release.
  - run spec-cleaner
* Thu Jul 31 2014 toddrme2178@gmail.com
- Update to 4.11.1
  - Added the -tr-function, -trUtf8-function and -translate-function command
    line options to pylupdate4.
  - Bug fixes.
* Sun Jun 15 2014 lbeltrame@kde.org
- Add pyqt4_add_pro_files.diff: fix .pro files not being generated
  with configure.py
- Switch back to configure.py as -ng does not generate pyqtconfig4
  and that is needed by downstream projects (PyKDE4)
* Thu May 29 2014 termim@gmail.com
- Update to 4.11
  - By default a Python slot is only invoked if the underlying C++ instance
    still exists.
  - Added the no_receiver_check argument to connect().
  - Added support for Qt v4.8.6.
  - Added --target-py-version, --sysroot and --no-tools options to
    configure-ng.py.
  - Cross-compiling (specifically to iOS and Android when building against Qt
    v5) is now supported.
  - SIP v4.16 is now required.
  - Bug fixes.
* Sun Mar 23 2014 tittiatcoke@gmail.com
- Update to 4.10.4. This is a minor bug fix release
- Drop patch fix-phonon.diff due to upstream inclusion
* Fri Nov 15 2013 joseph@mulloy.me
- Fixed missing phonon support (bnc#848953)
  * Patched configure.py so that it properly detects phonon
* Wed Sep 11 2013 tittiatcoke@gmail.com
- Build issues are resolved with the Python KDE bindings.
  Python-sip is upgraded again to 4.15.1
* Fri Aug 30 2013 tittiatcoke@gmail.com
- Revert back to 4.10.2 due to the downgrade of python-sip
* Tue Aug 27 2013 termim@gmail.com
- Update to 4.10.3. This is a minor bug fix release.
* Thu Jun 27 2013 termim@gmail.com
- Update to 4.10.2
  * Bug fixes.
- Update to 4.10.1
  * Added support for QtCore.pyqtSetPickleProtocol() and
    QtCore.pyqtPickleProtocol() to set and get the protocol used to pickle
    Python objects when serialising them for Qt.
  * Added support for the --resource-suffix option to pyuic4.
  * Added a new build system (configure-ng.py) which will be compatible with
    SIP v5 and will eventually support cross-compilation.
  * Added support for Qt v5.0.2.
  * Bug fixes.
* Mon Apr 15 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Mon Mar  4 2013 mlin@suse.com
- Update to 4.10
  * The focus of this release is on support for the final release of Qt v5.0.
- Update disable-rpaths.diff
* Sun Dec  9 2012 lbeltrame@kde.org
- Update to 4.9.6:
  - Added the missing constBits() and constScanLine() methods to QImage.
  - A QPoint can now be specified whenever a QPointF is expected.
  - Added support for Qt v4.8.4.
  - Added support for Qt v5.0-rc1 (QtCore, QtGui, QtHelp, QtNetwork, QtSql,
    QtSvg, QtWebKit and QtXml only).
  - Added the --no-deprecated option to configure.py.
  - SIP v4.14.2 is now required.
* Thu Nov 22 2012 toddrme2178@gmail.com
- Removed openSUSE 11.4 spec file workarounds
* Mon Oct  1 2012 einar@heavensinferno.net
- Updated to the latest upstream version:
  - Added support for Qt v4.8.3.
  - Added support for Qt v5-beta1 (QtCore, QtGui, QtHelp, QtNetwork, QtSql,
    QtSvg, QtWebKit and QtXml only).
  - Implemented __str__ and __unicode__ for QChar.
  - Added the missing QPointF operator*(qreal, QPointF).
  - Added the customcompleter.py example.
  - SIP v4.14 is now required.
* Thu Jul  5 2012 dmueller@suse.com
- require the sip version it built against (bnc#768499)
- Update to version 4.9.4:
  * bug fixes
* Fri Jun 22 2012 mlin@suse.com
- Update to version 4.9.2
  * Added support for Qt v4.8.2.
  * Added support for Qt v5-alpha (QtCore and QtGui only).
  * Added support for Python v3.3.
  * bool(QPyNullVariant(...)) now returns False rather than True to mimic the behaviour of None.
  * Exposed the pyqtBoundSignal type object in the QtCore module.
  * Added the signal attribute to pyqtBoundSignal containing the signature that would be returned by SIGNAL().
  * Added the optional package argument to uic.loadUi() to properly handle relative imports.
  * pyuic4 now supports themed icons.
  * Added the spreadsheet example from Hans-Peter Jansen.
* Mon Jun  4 2012 idonmez@suse.com
- Update license
* Fri May 25 2012 toddrme2178@gmail.com
- Update to version 4.9.1
  * Bugfixes
- Spec file cleanups
- Fixed licenses
* Sun Dec 25 2011 idonmez@suse.com
- Update to version 4.9
  * Fixed %%PickleCode for QByteArray for Python v3.
  * Completed the support for QPainter.drawPixmapFragments().
  * pyuic4 now makes sure that a module implementing a resource file is only
    imported once.
  * Fixed a regression in the handling of translated strings by pyuic4.
  * QDBusArgument now handles QStringList explicitly so that it can be used with
    QString v2 API.
  * Renamed QDBusArgument.write() to add().
  * Changed QDBusArgument.write() to use a QMetaType.Type to specify the integer
    sub-type to be consistent with beginArray() and beginMap().
  * Implemented QDBusArgument.write().
  * DBus dicts are now demarshalled to Python dicts.
  * Added support for demarshalling DBus basic types, variants and arrays.
  * QDBusObjectPath, QDBusSignal and QDBusVariant instances are now demarshalled
    automatically.
  * DBus structures are now demarshalled to tuples.
  * Added the missing cornerWidget() and setCornerWidget() methods to QMenuBar.
- See include ChangeLog for complete change list.
* Fri Nov 25 2011 cgiboudeaux@gmx.com
- Use %%make_install
* Mon Nov 21 2011 cgiboudeaux@gmx.com
- Update to 4.8.6, see http://riverbankcomputing.com/static/Downloads/PyQt4/ChangeLog
- Define python3_sitearch for Opensuse < 12.1
- Spec cleanup
* Tue Oct 18 2011 jdmulloy@gmail.com
- Added phonon-devel to BuildRequires in python3-qt4.spec
  * Adds phonon support to python3-qt4 which is required by programs like OpenLP.org
* Tue Aug 30 2011 idonmez@suse.com
- Remove check for obsolete openSUSE versions.
* Mon Aug 29 2011 termim@gmail.com
- Add python-qt4-utils package to avoid conflicts between python2
  and python3 versions
* Mon Aug 22 2011 idonmez@novell.com
- Unbreak -debuginfo package creation
* Tue Aug 16 2011 termim@gmail.com
- update to 4.8.5
  - This is a minor bug fix release.
- add python3-qt4.spec
